#ifndef IMAGEREDACTOR_H
#define IMAGEREDACTOR_H

#include <QGraphicsView>
#include <QGraphicsScene>
#include <QGraphicsPixmapItem>
#include <QWheelEvent>
#include <QMouseEvent>

class ImageRedactor : public QGraphicsView
{
    Q_OBJECT
public:
    ImageRedactor(QWidget *parent = nullptr);
    QGraphicsScene *scene;
protected:
    void wheelEvent(QWheelEvent *event);

    void mousePressEvent(QMouseEvent *event);

    void mouseReleaseEvent(QMouseEvent *event);

private:
    QGraphicsPixmapItem *item;
};

#endif // IMAGEREDACTOR_H
